Page MenuHomePhabricator

MMV: Use file > Embed > HTML > via "null"
Closed, ResolvedPublic

Description

https://commons.wikimedia.org/wiki/File:Gradierwerk_Bad_K%C3%B6sen_%281%29.jpg#mediaviewer/File:Gradierwerk_Bad_K%C3%B6sen_%281%29.jpg

The following is suggested for re-using the file:

<p><a href="https://commons.wikimedia.org/wiki/File:Gradierwerk_Bad_K%C3%B6sen_(1).jpg#mediaviewer/File:Gradierwerk_Bad_K%C3%B6sen_%281%29.jpg"><img alt="Gradierwerk Bad Kösen (1).jpg" src="https://upload.wikimedia.org/wikipedia/commons/2/2f/Gradierwerk_Bad_K%C3%B6sen_%281%29.jpg" height="2592" width="1936"></a><br>"<a href="https://commons.wikimedia.org/wiki/File:Gradierwerk_Bad_K%C3%B6sen_(1).jpg#mediaviewer/File:Gradierwerk_Bad_K%C3%B6sen_%281%29.jpg">Gradierwerk Bad Kösen (1)</a>" by <a href="commons.wikimedia.org/wiki/User:Rillke" title="User:Rillke">Rillke</a> - <span class="int-own-work">Own work</span>. Licensed under <a title="Creative Commons Attribution-Share Alike 3.0-de
" href="http://creativecommons.org/licenses/by-sa/3.0/de/deed.en
">CC BY-SA 3.0</a> via <a href="
commons.wikimedia.org/wiki/">null</a>.</p>

Note the "via null" at the end. This should be obviously the pretty name of the project the image comes from.


Version: unspecified
Severity: normal

Details

Reference
bz64800

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:11 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz64800.
Rillke created this task.May 3 2014, 3:36 PM
Rillke added a comment.May 3 2014, 3:37 PM

Created attachment 15285
FF RC; Screenshot illustrating the issue

Attached:

Rillke added a comment.May 3 2014, 5:25 PM

This only happens for the local repos because displayname is null.

Change 131266 had a related patch set uploaded by Rillke:
For local repos, use display name from config variable

https://gerrit.wikimedia.org/r/131266

Change 123121 had a related patch set uploaded by Rillke:
Return $wgSitename as displayname for local repo in filerepoinfo API

https://gerrit.wikimedia.org/r/123121

Change 123121 merged by jenkins-bot:
Return $wgSitename as displayname for local repo in filerepoinfo API

https://gerrit.wikimedia.org/r/123121

Change 131266 abandoned by Gilles:
For local repos, use display name from config variable

Reason:
https://gerrit.wikimedia.org/r/#/c/123121/ was merged instead

https://gerrit.wikimedia.org/r/131266

Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:23 AM